Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.registry.basic
Class BasicKernelBus

    java.lang.Object
      org.jboss.kernel.plugins.event.AbstractEventEmitter
          org.jboss.kernel.plugins.AbstractKernelObject
              org.jboss.kernel.plugins.registry.AbstractKernelBus
                  org.jboss.kernel.plugins.registry.basic.BasicKernelBus

All Implemented Interfaces:
  KernelBus, KernelEventEmitter, KernelObject

public class BasicKernelBus
extends AbstractKernelBus

Basic Kernel bus.

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock

Field Summary

Fields inherited from class org.jboss.kernel.plugins.registry.AbstractKernelBus
`registry`

Fields inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`kernel, log`

Fields inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`eventListenerRegistry, NULL`

Constructor Summary
`BasicKernelBus()` Create a new basic bus

Method Summary
`Object` | `invoke(Object name, org.jboss.joinpoint.spi.TargettedJoinpoint joinPoint)` Invoke an operation

Methods inherited from class org.jboss.kernel.plugins.registry.AbstractKernelBus
`setKernel`

Methods inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`getKernel`

Methods inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`createEvent, fireKernelEvent, fireKernelEvent, hasListeners, nextEmitterSequence, registerListener, unregisterListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Constructor Detail

### BasicKernelBus

    public BasicKernelBus()
                   throws Exception

  Create a new basic bus

Throws:
  `Exception` - for any error

Method Detail

### invoke

    public Object invoke(Object name,
                         org.jboss.joinpoint.spi.TargettedJoinpoint joinPoint)
                  throws Throwable

  Description copied from interface: `KernelBus`
  Invoke an operation

  Parameters:
    `name` - the name of the object
    `joinPoint` - the join point
  Returns:
    the result
  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.